<?php

/* order by */
$order = Array();
$order[] = Array("enddate", Lang::getLanguageString("todo_enddate"));
$order[] = Array("header", Lang::getLanguageString("subject"));
$order[] = Array("priority", Lang::getLanguageString("todo_priority"));
$order[] = Array("projectid", Lang::getLanguageString("todo_project"));
$order[] = Array("status", Lang::getLanguageString("todo_status"));

/* direction */
$dir = Array();
$dir[] = Array("ASC", Lang::getLanguageString("todo_order_asc")); 
$dir[] = Array("DESC", Lang::getLanguageString("todo_order_desc")); 

/* settings array */
$settings["todo"] = array(
	"settings" => array(
    	"todo_orderby" => array(
		"description" => "default order of todos",
        	"method" => "select",
		"type" => "str",
		"default" => "enddate",
            "choices" => array( 
            	array("name"=>"","value"=>$order)), 
            "name" => "todo_order_title"
        ),
        "todo_order_dir" => array(
        	"method" => "select",
		"description" => "order asc or desc",
		"type" => "str",
		"default" => "asc",
            "choices" => array( 
            	array("name"=>"","value"=>$dir)) 
        ),
        "todo_merged" => array(
        	"method" => "radio",
		"type" => "int",
		"default" => "1",
		"description" => "showing todos merged",
            "choices" => array( 
            	array("name"=>"yes","value"=>"1"),
                array("name"=>"no","value"=>"0")), 
            "name" => "todo_merged_title"
        ),
        "todo_overview_unstarted" => array(
        	"method" => "radio",
		"type" => "int",
		"default" => "1",
		"description" => "show unstarted todos in overview",
            "choices" => array( 
            	array("name"=>"yes","value"=>"1"),
                array("name"=>"no","value"=>"0")), 
            "name" => "todo_overview_unstarted_title"
        ),
        "todo_notification" => array(
        	"method" => "checkbox",
		"type" => "int",
		"default" => array(NOTIFY_SCREEN, NOTIFY_MIM),
		"dimensions" => "1",
		"selections" => "1",
		"description" => "show unstarted todos in overview",
		"choices" => array(
				   array("name" => "screen","value"=>NOTIFY_SCREEN), 
				   array("name" => "MIM","value"=>NOTIFY_MIM),
				   array("name" => "email","value"=>NOTIFY_MAIL),
				   ),
		"layout" => "h"
        ),
        "todos_per_page" => array(
		"description" => "how many contacts to display before paging occurs",
        	"method" => "text",
		"type" => "int",
		"default" => "10"
        )
    )
);

?>
